<?php

namespace ExceptionHandle;

use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpSpecializedException;
use Throwable;

class TypeErrorMethod extends HttpSpecializedException {

    protected $code = 400;
    protected string $title = "Method is not specified";
    protected $message =  "Bad Parameters, The API need a 'method' args in URL. Exemple :'http://url/api/getSomething'";

    public function __construct(ServerRequestInterface $request,?Throwable $previous = null)
    {
        parent::__construct($request, $this->message, $previous);
    }

}
